Article ID: 822, created on Feb 10, 2009, last review on Apr 25, 2012

  • Applies to:
  • Plesk for Linux/Unix

Résolution

Message d'erreur complet :

Unable to make action: Unable to manage service by spamd: Empty error message from utility. 0: /usr/local/psa/admin/htdocs/server/restart_services.php:19 psaerror(string "Unable to make action: Unable to manage service by spamd: Empty error message from utility.")


Essayez de démarrer psa-spamassassin à partir de la ligne de commande :


/etc/init.d/psa-spamassassin start
Can't locate Text/Iconv.pm in @INC (@INC contains:
/usr/local/lib/perl5/5.8.7/i686-
linux /usr/local/lib/perl5/5.8.7
/usr/local/lib/perl5/site_perl/5.8.7/i686-linux
/usr/local/lib/perl5/site_perl/5.8.7 /usr/local/psa/lib/perl5/5.8.7
/usr/local/psa/lib/perl5/5.8.7/i686-linux
/usr/local/psa/lib/perl5/site_perl/5.8.7/i686-linux
/usr/local/psa/lib/perl5/site_perl/5.8.7 /usr/lib/perl5/site_perl/5.8.0
/usr/local/lib/perl5/site_perl) at
/usr/lib/perl5/site_perl/5.8.0/Mail/SpamAssassin/CmdManage.pm line 8.
BEGIN failed--compilation aborted at
/usr/lib/perl5/site_perl/5.8.0/Mail/SpamAssassin/CmdManage.pm line 8.
Compilation failed in require at /usr/local/psa/admin/sbin/spammng line 71.


Cette erreur signifie qu'ilk y a quelque chose qui ne fonctionne pas avec Perl lui-même car il ne peut pas trouver tous les modules nécessaires. Assurez-vous que tous les RMP requis pour 'Spamassassin' sont installés.

Vérifiez la version de Perl :

perl -v
rpm -q perl


Et l'intégrité du pack avec cette commande :

rpm -V perl


Réinstallez RPM si les versions qui sont affichées par ces commandes ne coïncident pas ou le test d'intégrité n'affiche aucune erreur.

a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF